# QueryIdentification Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for QueryIdentification:
[legend]

List of all members.

## Public Member Functions

| getId ()
| setId ($id)
| toString ()

## Detailed Description

Definition at line 16 of file QueryIdentification.class.php.

## Member Function Documentation

QueryIdentification::getId | ( |  | ) |

Reimplemented in DropTableQuery, and TruncateQuery.

Definition at line 18 of file QueryIdentification.class.php.

References toString().

Referenced by SmartDaoWorker::cacheByQuery().

Here is the call graph for this function:

QueryIdentification::setId | ( | $ | id | ) | `[final]`

Definition at line 23 of file QueryIdentification.class.php.

QueryIdentification::toString | ( |  | ) |

Implements Stringable.

Reimplemented in Criteria.

Definition at line 28 of file QueryIdentification.class.php.

References ImaginaryDialect::me(), and DialectString::toDialectString().

Referenced by getId().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/OSQL/QueryIdentification.class.php